Browser

Flowable Engage is an advanced web application and as such requires up-to-date browser technologies. The following browsers are tested and supported by Flowable:

Browser Version

Google Chrome

69.0+

Microsoft Internet Explorer

11+

Mozilla Firefox

63.0+

Apple Safari

11.1+